Bug 127037 - configure editor settings -- focus jumps (minor)
Summary: configure editor settings -- focus jumps (minor)
Status: RESOLVED FIXED
Alias: None
Product: kdelibs
Classification: Frameworks and Libraries
Component: general (show other bugs)
Version: unspecified
Platform: OpenSUSE Linux
: NOR normal (vote)
Target Milestone: ---
Assignee: KWrite Developers
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2006-05-09 19:47 UTC by Maciej Pilichowski
Modified: 2006-07-13 23:54 UTC (History)
0 users

See Also:
Latest Commit:
Version Fixed In:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Maciej Pilichowski 2006-05-09 19:47:23 UTC
Version:            (using KDE KDE 3.5.2)
Installed from:    SuSE RPMs

Go to 
settings -> configure editor

press and hold [arrow down]. Near the bottom focus will jump to the right.
Comment 1 Jens Dagerbo 2006-05-09 20:33:44 UTC
Haha! Yeah, that IS minor! I wonder if it's intentional...

Anyway, it's done by katepart. Reassigning.
Comment 2 Andreas Kling 2006-07-03 19:13:17 UTC
This is because the KKeyChooser widget steals focus when created.
See KKeyChooser::initGUI() at kdelibs/kdeui/kkeydialog.cpp:347
Comment 3 Andreas Kling 2006-07-13 23:54:56 UTC
SVN commit 562008 by kling:

Made KKeyChooser not steal focus when created.
Discussed with Aaron Seigo.

BUG: 127037
CCMAIL: kde-core-devel@kde.org


 M  +0 -1      kkeydialog.cpp  


--- branches/KDE/3.5/kdelibs/kdeui/kkeydialog.cpp #562007:562008
@@ -344,7 +344,6 @@
   stackLayout->setRowStretch( 1, 10 ); // Only list will stretch
 
   d->pList = new KListView( this );
-  d->pList->setFocus();
   listViewSearch->setListView(d->pList); // Plug into search line
   QValueList<int> columns;
   columns.append(0);